import request from '@/utils/request'

export function goodsExchangeRulesDetail(query) {
  return request({
    url: '/news/getdgtIndustryNews',
    method: 'post',
    data: query
  })
}

export function updateGoodsExchangeRules(query) {
  return request({
    url: '/news/listForDGTSiteNews',
    method: 'post',
    data: query
  })
}

export function createItem(data) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data
  })
}

export function updateItem(query) {
  return request({
    url: '/news/update',
    method: 'post',
    data:query
  })
}

export function goodsList(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function goodsState(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}

export function exchangeHistory(query) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data:query
  })
}